local ADDON, Package = ...

local function timealert_style()
  local function OnUpdate(self, elapsed)
    self:ClearAllPoints()
    self:SetPoint("BOTTOM", UIErrorsFrame, "TOP", 0, 20)
    self:SetSize(560, 20)
  end

  if TimeAlertFrame and TimeAlertFrameText then
    TimeAlertFrame.glow:SetTexture(nil)
    TimeAlertFrame.CloseButton:Hide()
    TimeAlertFrame:ClearBackdrop()
    TimeAlertFrame:HookScript("OnUpdate", OnUpdate)

    TimeAlertFrameText:SetJustifyH("CENTER")
  end
end

Package.timealert_style = timealert_style
