local ADDON, Package = ...

local function cvar_auto_dismount(status)
  SetCVar("autoDismount", status and "1" or "0")
end

local function cvar_chat_class_color_override(status)
  SetCVar("chatClassColorOverride", status and "0" or "1")
end

local function cvar_camera_distance_max_zoom_factor()
  local function OnEvent(self)
    SetCVar("cameraDistanceMaxZoomFactor", "4")
  end

  local agent = CreateFrame("Frame")
  agent:RegisterEvent("PLAYER_ENTERING_WORLD")
  agent:SetScript("OnEvent", OnEvent)
end

Package.cvar_auto_dismount = cvar_auto_dismount
Package.cvar_chat_class_color_override = cvar_chat_class_color_override
Package.cvar_camera_distance_max_zoom_factor = cvar_camera_distance_max_zoom_factor
